Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice	(revision 4656)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice	(revision 4659)
@@ -44,15 +44,9 @@
 !-----------------------------------------------------------------------
    epsd        =   1.0e-20 !  tolerance parameter
-   alpha       =   0.5     !  coefficient for semi-implicit coriolis
-   dm          =   0.6e+03 !  diffusion constant for dynamics
-   nbiter      =   1       !  number of sub-time steps for relaxation
-   nbitdr      = 500       !  maximum number of iterations for relaxation
    om          =   0.5     !  relaxation constant 
-   resl        =   5.0e-05 !  maximum value for the residual of relaxation
    cw          =   5.0e-03 !  drag coefficient for oceanic stress
    angvg       =   0.0     !  turning angle for oceanic stress
    pstar       =   2.0e+04 !  1st bulk-rheology parameter
    c_rhg       =  20.0     !  2nd bulk-rhelogy parameter
-   etamn       =   0.0e+07 !  minimun value for viscosity
    creepl      =   1.0e-12 !  creep limit
    ecc         =   2.0     !  eccentricity of the elliptical yield curve
@@ -64,31 +58,16 @@
 /
 !-----------------------------------------------------------------------
-&namicetrp     !   ice transport
-!-----------------------------------------------------------------------
-   bound       =   0.      !  boundary conditions (=0.0 no-slip, =1.0 free-slip)
-/
-!-----------------------------------------------------------------------
 &namicethd     !   ice thermodynamic
 !-----------------------------------------------------------------------
    hmelt       = -0.15     !  maximum melting at the bottom
-   hiccrit     = 0.1 , 0.1 !  ice thickness for lateral accretion in the Northern (Southern) Hemisphere
+   hiccrit     = 0.1       !  ice thickness for lateral accretion 
                            !         caution 1.0, 1.0 best value to be used!!! (gilles G.)  ????
-   fraz_swi    = 0.0       !  use of frazil ice collection thickness in function of wind (1.0) or not (0.0)
+   fraz_swi    = 0         !  use of frazil ice collection thickness in function of wind (1.0) or not (0.0)
    maxfrazb    = 0.0       !  maximum portion of frazil ice collecting at the ice bottom
    vfrazb      = 0.4166667 !  thresold drift speed for frazil ice collecting at the ice bottom
    Cfrazb      = 5.0       !  squeezing coefficient for frazil ice collecting at the ice bottom
-   hicmin      = 0.2       !  ice thickness corr. to max. energy stored in brine pocket
    hiclim      = 0.10      !  minimum ice thickness
-   sbeta       = 1.        !  numerical caracteritic of the scheme for diffusion in ice
-                           !        Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
-   parlat      = 0.0       !  percentage of energy used for lateral ablation
-   hakspl      = 0.25      !  slope of distr. for Hakkinen-Mellor's lateral melting
-   hibspl      = 0.5       !  slope of distribution for Hibler's lateral melting
-   exld        = 2.0       !  exponent for leads-closure rate
-   hakdif      = 1.0       !  coefficient for diffusions of ice and snow
-   thth        = 0.2       !  threshold thickness for comp. of eq. thermal conductivity
    hnzst       = 0.1       !  thickness of the surf. layer in temp. computation
    parsub      = 1.0       !  switch for snow sublimation or not
-   alphs       = 1.0       !  coefficient for snow density when snow ice formation
    betas       = 0.6       !  exponent in lead-ice fractionation of snow precipitation 0.66
                            !        betas = 1 -> equipartition, betas < 1 -> more on leads
@@ -127,11 +106,9 @@
    astar            =   0.05 !  equivalent of gstar (0.05 for TH75 and 0.03 for weaker ice)
    Hstar            = 100.0  !  parameter determining the maximum thickness of ridged ice
-   raftswi          =   1    !  rafting or not
+   raft_swi         =   1    !  rafting or not
    hparmeter        =   0.75 !  threshold thickness for rafting or not
    Craft            =   5.0  !  coefficient used in the rafting function
    ridge_por        =   0.3  !  initial porosity of the ridged ice (typically 0.30)
-   sal_max_ridge    =  15.0  !  maximum ridged ice salinity
    partfun_swi      =   1    !  participation function linear, TH75 (0) or exponential Letal07 (1)
-   transfun_swi     =   0    !  transfer function uniform of H80 (0) or exponential Letal07 (1)
    brinstren_swi    =   0    !  (1) use brine volume to diminish ice strength
 /
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice_lim3
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice_lim3	(revision 4656)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice_lim3	(revision 4659)
@@ -44,15 +44,9 @@
 !-----------------------------------------------------------------------
    epsd        =   1.0e-20 !  tolerance parameter
-   alpha       =   0.5     !  coefficient for semi-implicit coriolis
-   dm          =   0.6e+03 !  diffusion constant for dynamics
-   nbiter      =   1       !  number of sub-time steps for relaxation
-   nbitdr      = 500       !  maximum number of iterations for relaxation
    om          =   0.5     !  relaxation constant 
-   resl        =   5.0e-05 !  maximum value for the residual of relaxation
    cw          =   5.0e-03 !  drag coefficient for oceanic stress
    angvg       =   0.0     !  turning angle for oceanic stress
    pstar       =   2.0e+04 !  1st bulk-rheology parameter
    c_rhg       =  20.0     !  2nd bulk-rhelogy parameter
-   etamn       =   0.0e+07 !  minimun value for viscosity
    creepl      =   1.0e-12 !  creep limit
    ecc         =   2.0     !  eccentricity of the elliptical yield curve
@@ -64,31 +58,16 @@
 /
 !-----------------------------------------------------------------------
-&namicetrp     !   ice transport
-!-----------------------------------------------------------------------
-   bound       =   0.      !  boundary conditions (=0.0 no-slip, =1.0 free-slip)
-/
-!-----------------------------------------------------------------------
 &namicethd     !   ice thermodynamic
 !-----------------------------------------------------------------------
    hmelt       = -0.15     !  maximum melting at the bottom
-   hiccrit     = 0.1 , 0.1 !  ice thickness for lateral accretion in the Northern (Southern) Hemisphere
+   hiccrit     = 0.1       !  ice thickness for lateral accretion 
                            !         caution 1.0, 1.0 best value to be used!!! (gilles G.)  ????
-   fraz_swi    = 0.0       !  use of frazil ice collection thickness in function of wind (1.0) or not (0.0)
+   fraz_swi    = 0         !  use of frazil ice collection thickness in function of wind (1.0) or not (0.0)
    maxfrazb    = 0.0       !  maximum portion of frazil ice collecting at the ice bottom
    vfrazb      = 0.4166667 !  thresold drift speed for frazil ice collecting at the ice bottom
    Cfrazb      = 5.0       !  squeezing coefficient for frazil ice collecting at the ice bottom
-   hicmin      = 0.2       !  ice thickness corr. to max. energy stored in brine pocket
    hiclim      = 0.10      !  minimum ice thickness
-   sbeta       = 1.        !  numerical caracteritic of the scheme for diffusion in ice
-                           !        Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
-   parlat      = 0.0       !  percentage of energy used for lateral ablation
-   hakspl      = 0.25      !  slope of distr. for Hakkinen-Mellor's lateral melting
-   hibspl      = 0.5       !  slope of distribution for Hibler's lateral melting
-   exld        = 2.0       !  exponent for leads-closure rate
-   hakdif      = 1.0       !  coefficient for diffusions of ice and snow
-   thth        = 0.2       !  threshold thickness for comp. of eq. thermal conductivity
    hnzst       = 0.1       !  thickness of the surf. layer in temp. computation
    parsub      = 1.0       !  switch for snow sublimation or not
-   alphs       = 1.0       !  coefficient for snow density when snow ice formation
    betas       = 0.6       !  exponent in lead-ice fractionation of snow precipitation 0.66
                            !        betas = 1 -> equipartition, betas < 1 -> more on leads
@@ -127,11 +106,9 @@
    astar            =   0.05 !  equivalent of gstar (0.05 for TH75 and 0.03 for weaker ice)
    Hstar            = 100.0  !  parameter determining the maximum thickness of ridged ice
-   raftswi          =   1    !  rafting or not
+   raft_swi         =   1    !  rafting or not
    hparmeter        =   0.75 !  threshold thickness for rafting or not
    Craft            =   5.0  !  coefficient used in the rafting function
    ridge_por        =   0.3  !  initial porosity of the ridged ice (typically 0.30)
-   sal_max_ridge    =  15.0  !  maximum ridged ice salinity
    partfun_swi      =   1    !  participation function linear, TH75 (0) or exponential Letal07 (1)
-   transfun_swi     =   0    !  transfer function uniform of H80 (0) or exponential Letal07 (1)
    brinstren_swi    =   0    !  (1) use brine volume to diminish ice strength
 /
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 4656)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 4659)
@@ -166,6 +166,4 @@
 
    !                                          !!** ice-dynamic namelist (namicedyn) **
-   INTEGER , PUBLIC ::   nbiter = 1            !: number of sub-time steps for relaxation
-   INTEGER , PUBLIC ::   nbitdr = 250          !: maximum number of iterations for relaxation
    INTEGER , PUBLIC ::   nevp   = 400          !: number of iterations for subcycling
    INTEGER , PUBLIC ::   nlay_i = 5            !: number of layers in the ice
@@ -173,13 +171,9 @@
    !                                          !!** ice-dynamic namelist (namicedyn) **
    REAL(wp), PUBLIC ::   epsd   = 1.0e-20_wp   !: tolerance parameter for dynamic
-   REAL(wp), PUBLIC ::   alpha  = 0.5_wp       !: coefficient for semi-implicit coriolis
-   REAL(wp), PUBLIC ::   dm     = 0.6e+03_wp   !: diffusion constant for dynamics
    REAL(wp), PUBLIC ::   om     = 0.5_wp       !: relaxation constant
-   REAL(wp), PUBLIC ::   resl   = 5.0e-05_wp   !: maximum value for the residual of relaxation
    REAL(wp), PUBLIC ::   cw     = 5.0e-03_wp   !: drag coefficient for oceanic stress
    REAL(wp), PUBLIC ::   angvg  = 0._wp        !: turning angle for oceanic stress
    REAL(wp), PUBLIC ::   pstar  = 1.0e+04_wp   !: determines ice strength (N/M), Hibler JPO79
    REAL(wp), PUBLIC ::   c_rhg  = 20._wp       !: determines changes in ice strength
-   REAL(wp), PUBLIC ::   etamn  = 0.0e+07_wp   !: minimun value for viscosity : has to be 0
    REAL(wp), PUBLIC ::   creepl = 2.0e-08_wp   !: creep limit : has to be under 1.0e-9
    REAL(wp), PUBLIC ::   ecc    = 2._wp        !: eccentricity of the elliptical yield curve
@@ -220,7 +214,6 @@
    REAL(wp), PUBLIC ::   Craft     = 5.0_wp        !: coefficient for smoothness of the hyperbolic tangent in rafting
    REAL(wp), PUBLIC ::   ridge_por = 0.0_wp        !: initial porosity of ridges (0.3 regular value)
-   REAL(wp), PUBLIC ::   sal_max_ridge = 15.0_wp   !: maximum ridged ice salinity (ppt)
-   REAL(wp), PUBLIC ::   betas    = 1.0_wp         !: coef. for partitioning of snowfall between leads and sea ice
-   REAL(wp), PUBLIC ::   kappa_i  = 1.0_wp         !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
+   REAL(wp), PUBLIC ::   betas     = 1.0_wp        !: coef. for partitioning of snowfall between leads and sea ice
+   REAL(wp), PUBLIC ::   kappa_i   = 1.0_wp        !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
    REAL(wp), PUBLIC ::   nconv_i_thd = 50_wp       !: maximal number of iterations for heat diffusion
    REAL(wp), PUBLIC ::   maxer_i_thd = 1.0e-4_wp   !: maximal tolerated error (C) for heat diffusion
@@ -228,7 +221,6 @@
    !                                              !!** ice-mechanical redistribution namelist (namiceitdme)
    INTEGER , PUBLIC ::   ridge_scheme_swi = 0      !: scheme used for ice ridging
-   INTEGER , PUBLIC ::   raftswi          = 1      !: rafting of ice or not                        
+   INTEGER , PUBLIC ::   raft_swi         = 1      !: rafting of ice or not                        
    INTEGER , PUBLIC ::   partfun_swi      = 1      !: participation function: =0 Thorndike et al. (1975), =1 Lipscomb et al. (2007)
-   INTEGER , PUBLIC ::   transfun_swi     = 0      !: transfer function: =0 Hibler 1980, =1 Lipscomb et al. 2007
    INTEGER , PUBLIC ::   brinstren_swi    = 0      !: use brine volume to diminish ice strength
 
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 4656)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 4659)
@@ -240,7 +240,6 @@
       !! ** input   :   Namelist namicedyn
       !!-------------------------------------------------------------------
-      NAMELIST/namicedyn/ epsd, alpha,     &
-         &                dm, nbiter, nbitdr, om, resl, cw, angvg, pstar,   &
-         &                c_rhg, etamn, creepl, ecc, ahi0, &
+      NAMELIST/namicedyn/ epsd, om, cw, angvg, pstar,   &
+         &                c_rhg, creepl, ecc, ahi0,     &
          &                nevp, telast, alphaevp, hminrhg
       !!-------------------------------------------------------------------
@@ -254,15 +253,9 @@
          WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '   tolerance parameter                              epsd   = ', epsd
-         WRITE(numout,*) '   coefficient for semi-implicit coriolis           alpha  = ', alpha
-         WRITE(numout,*) '   diffusion constant for dynamics                  dm     = ', dm
-         WRITE(numout,*) '   number of sub-time steps for relaxation          nbiter = ', nbiter
-         WRITE(numout,*) '   maximum number of iterations for relaxation      nbitdr = ', nbitdr
          WRITE(numout,*) '   relaxation constant                              om     = ', om
-         WRITE(numout,*) '   maximum value for the residual of relaxation     resl   = ', resl
          WRITE(numout,*) '   drag coefficient for oceanic stress              cw     = ', cw
          WRITE(numout,*) '   turning angle for oceanic stress                 angvg  = ', angvg
          WRITE(numout,*) '   first bulk-rheology parameter                    pstar  = ', pstar
          WRITE(numout,*) '   second bulk-rhelogy parameter                    c_rhg  = ', c_rhg
-         WRITE(numout,*) '   minimun value for viscosity                      etamn  = ', etamn
          WRITE(numout,*) '   creep limit                                      creepl = ', creepl
          WRITE(numout,*) '   eccentricity of the elliptical yield curve       ecc    = ', ecc
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 4656)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 4659)
@@ -618,5 +618,4 @@
       !!---------------------------------------------------------------------!
       INTEGER ::   ji,jj, jl    ! dummy loop indices
-      INTEGER ::   krdg_index   ! 
       REAL(wp) ::   Gstari, astari, hi, hrmean, zdummy   ! local scalar
       REAL(wp), POINTER, DIMENSION(:,:)   ::   zworka    ! temporary array used here
@@ -694,7 +693,5 @@
       !-----------------------------------------------------------------
 
-      krdg_index = 1
-
-      IF( krdg_index == 0 ) THEN       !--- Linear formulation (Thorndike et al., 1975)
+      IF( partfun_swi == 0 ) THEN       !--- Linear formulation (Thorndike et al., 1975)
          DO jl = 0, ice_cat_bounds(1,2)       ! only undeformed ice participates
             DO jj = 1, jpj 
@@ -724,7 +721,7 @@
          END DO
          !
-      ENDIF ! krdg_index
-
-      IF( raftswi == 1 ) THEN      ! Ridging and rafting ice participation functions
+      ENDIF ! partfun_swi
+
+      IF( raft_swi == 1 ) THEN      ! Ridging and rafting ice participation functions
          !
          DO jl = 1, jpl
@@ -742,5 +739,5 @@
          END DO ! jl
 
-      ELSE  ! raftswi = 0
+      ELSE  ! raft_swi = 0
          !
          DO jl = 1, jpl
@@ -750,5 +747,5 @@
       ENDIF
 
-      IF ( raftswi == 1 ) THEN
+      IF ( raft_swi == 1 ) THEN
 
          IF( MAXVAL(aridge + araft - athorn(:,:,1:jpl)) .GT. epsi10 ) THEN
@@ -1348,9 +1345,7 @@
       !! ** input   :   Namelist namiceitdme
       !!-------------------------------------------------------------------
-      NAMELIST/namiceitdme/ ridge_scheme_swi, Cs, Cf, fsnowrdg, fsnowrft,& 
-         Gstar, astar,                                &
-         Hstar, raftswi, hparmeter, Craft, ridge_por, &
-         sal_max_ridge,  partfun_swi, transfun_swi,   &
-         brinstren_swi
+      NAMELIST/namiceitdme/ ridge_scheme_swi, Cs, Cf, fsnowrdg, fsnowrft,              & 
+        &                   Gstar, astar, Hstar, raft_swi, hparmeter, Craft, ridge_por, &
+        &                   partfun_swi, brinstren_swi
       !!-------------------------------------------------------------------
       !
@@ -1370,11 +1365,9 @@
          WRITE(numout,*)'   Equivalent to G* for an exponential part function       astar           ', astar
          WRITE(numout,*)'   Quantity playing a role in max ridged ice thickness     Hstar           ', Hstar
-         WRITE(numout,*)'   Rafting of ice sheets or not                            raftswi         ', raftswi
+         WRITE(numout,*)'   Rafting of ice sheets or not                            raft_swi        ', raft_swi
          WRITE(numout,*)'   Parmeter thickness (threshold between ridge-raft)       hparmeter       ', hparmeter
          WRITE(numout,*)'   Rafting hyperbolic tangent coefficient                  Craft           ', Craft  
          WRITE(numout,*)'   Initial porosity of ridges                              ridge_por       ', ridge_por
-         WRITE(numout,*)'   Maximum salinity of ridging ice                         sal_max_ridge   ', sal_max_ridge
          WRITE(numout,*)'   Switch for part. function (0) linear (1) exponential    partfun_swi     ', partfun_swi
-         WRITE(numout,*)'   Switch for tran. function (0) linear (1) exponential    transfun_swi    ', transfun_swi
          WRITE(numout,*)'   Switch for including brine volume in ice strength comp. brinstren_swi   ', brinstren_swi
       ENDIF
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 4656)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 4659)
@@ -610,7 +610,5 @@
       !!-------------------------------------------------------------------
       NAMELIST/namicethd/ hmelt , hiccrit, fraz_swi, maxfrazb, vfrazb, Cfrazb,   &
-         &                hicmin, hiclim,                                        &
-         &                sbeta  , parlat, hakspl, hibspl, exld,                 &
-         &                hakdif, hnzst  , thth  , parsub, alphs, betas,         & 
+         &                hiclim, hnzst, parsub, betas,                          & 
          &                kappa_i, nconv_i_thd, maxer_i_thd, thcon_i_swi
       !!-------------------------------------------------------------------
@@ -629,22 +627,13 @@
          WRITE(numout,*)'   Namelist of ice parameters for ice thermodynamic computation '
          WRITE(numout,*)'      maximum melting at the bottom                           hmelt        = ', hmelt
-         WRITE(numout,*)'      ice thick. for lateral accretion in NH (SH)             hiccrit(1/2) = ', hiccrit
+         WRITE(numout,*)'      ice thick. for lateral accretion                        hiccrit      = ', hiccrit
          WRITE(numout,*)'      Frazil ice thickness as a function of wind or not       fraz_swi     = ', fraz_swi
          WRITE(numout,*)'      Maximum proportion of frazil ice collecting at bottom   maxfrazb     = ', maxfrazb
          WRITE(numout,*)'      Thresold relative drift speed for collection of frazil  vfrazb       = ', vfrazb
          WRITE(numout,*)'      Squeezing coefficient for collection of frazil          Cfrazb       = ', Cfrazb
-         WRITE(numout,*)'      ice thick. corr. to max. energy stored in brine pocket  hicmin       = ', hicmin  
          WRITE(numout,*)'      minimum ice thickness                                   hiclim       = ', hiclim 
          WRITE(numout,*)'      numerical carac. of the scheme for diffusion in ice '
-         WRITE(numout,*)'      Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)   sbeta        = ', sbeta
-         WRITE(numout,*)'      percentage of energy used for lateral ablation          parlat       = ', parlat
-         WRITE(numout,*)'      slope of distr. for Hakkinen-Mellor lateral melting     hakspl       = ', hakspl  
-         WRITE(numout,*)'      slope of distribution for Hibler lateral melting        hibspl       = ', hibspl
-         WRITE(numout,*)'      exponent for leads-closure rate                         exld         = ', exld
-         WRITE(numout,*)'      coefficient for diffusions of ice and snow              hakdif       = ', hakdif
-         WRITE(numout,*)'      threshold thick. for comp. of eq. thermal conductivity  zhth         = ', thth 
          WRITE(numout,*)'      thickness of the surf. layer in temp. computation       hnzst        = ', hnzst
          WRITE(numout,*)'      switch for snow sublimation  (=1) or not (=0)           parsub       = ', parsub  
-         WRITE(numout,*)'      coefficient for snow density when snow ice formation    alphs        = ', alphs
          WRITE(numout,*)'      coefficient for ice-lead partition of snowfall          betas        = ', betas
          WRITE(numout,*)'      extinction radiation parameter in sea ice (1.0)         kappa_i      = ', kappa_i
@@ -655,7 +644,4 @@
       ENDIF
       !
-      rcdsn = hakdif * rcdsn 
-      rcdic = hakdif * rcdic
-      !
    END SUBROUTINE lim_thd_init
 
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90	(revision 4656)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90	(revision 4659)
@@ -157,7 +157,7 @@
 
       ! Default new ice thickness 
-      hicol(:,:) = hiccrit(1)
-
-      IF( fraz_swi == 1._wp ) THEN
+      hicol(:,:) = hiccrit
+
+      IF( fraz_swi == 1 ) THEN
 
          !--------------------
@@ -322,7 +322,7 @@
          !----------------------
          DO ji = 1, nbpac
-            zh_newice(ji) = hiccrit(1)
-         END DO
-         IF( fraz_swi == 1.0 ) zh_newice(:) = hicol_b(:)
+            zh_newice(ji) = hiccrit
+         END DO
+         IF( fraz_swi == 1 ) zh_newice(:) = hicol_b(:)
 
          !----------------------
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 4656)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 4659)
@@ -20,22 +20,13 @@
    !                                         !!! ** ice-thermo namelist (namicethd) **
    REAL(wp), PUBLIC ::   hmelt   = -0.15     !: maximum melting at the bottom; active only for one category
-   REAL(wp), PUBLIC ::   hicmin  = 0.2       !: (REMOVE)
    REAL(wp), PUBLIC ::   hiclim  = 0.05      !: minimum ice thickness
-   REAL(wp), PUBLIC ::   sbeta   = 1.0       !: numerical scheme for diffusion in ice  (REMOVE)
-   REAL(wp), PUBLIC ::   parlat  = 0.0       !: (REMOVE)
-   REAL(wp), PUBLIC ::   hakspl  = 0.5       !: (REMOVE)
-   REAL(wp), PUBLIC ::   hibspl  = 0.5       !: (REMOVE)
-   REAL(wp), PUBLIC ::   exld    = 2.0       !: (REMOVE)
-   REAL(wp), PUBLIC ::   hakdif  = 1.0       !: (REMOVE)
-   REAL(wp), PUBLIC ::   thth    = 0.2       !: (REMOVE)
    REAL(wp), PUBLIC ::   hnzst   = 0.1       !: thick. of the surf. layer in temp. comp.
    REAL(wp), PUBLIC ::   parsub  = 1.0       !: switch for snow sublimation or not
-   REAL(wp), PUBLIC ::   alphs   = 1.0       !: coef. for snow density when snow-ice formation
-   REAL(wp), PUBLIC ::   fraz_swi= 1.0       !: use of frazil ice collection in function of wind (1.0) or not (0.0)
    REAL(wp), PUBLIC ::   maxfrazb= 0.7       !: maximum portion of frazil ice collecting at the ice bottom
    REAL(wp), PUBLIC ::   vfrazb  = 0.41667   !: threshold drift speed for collection of bottom frazil ice
    REAL(wp), PUBLIC ::   Cfrazb  = 5.0       !: squeezing coefficient for collection of bottom frazil ice
+   REAL(wp), PUBLIC ::   hiccrit = 0.3       !: ice th. for lateral accretion in the NH (SH) (m)
 
-   REAL(wp), PUBLIC, DIMENSION(2) ::   hiccrit = (/0.3,0.3/)  !: ice th. for lateral accretion in the NH (SH) (m)
+   INTEGER , PUBLIC ::   fraz_swi= 1         !: use of frazil ice collection in function of wind (1) or not (0)
 
    !!-----------------------------